Package Details: python2-elementtree 1.2.6-5

Git Clone URL: https://aur.archlinux.org/python-elementtree.git (read-only)
Package Base: python-elementtree
Description: Provides light-weight components for working with XML
Upstream URL: http://effbot.org/zone/element-index.htm
Licenses: python
Submitter: fwojciec
Maintainer: init
Last Packager: init
Votes: 70
Popularity: 0.27
First Submitted: 2008-08-20 18:39
Last Updated: 2019-09-08 23:40

Pinned Comments

init commented on 2019-09-08 23:41

Package is not out of date, latest version is still 1.2.6-20050316. Version 1.3 is in alpha

Latest Comments

init commented on 2019-09-08 23:41

Package is not out of date, latest version is still 1.2.6-20050316. Version 1.3 is in alpha

JohnRobson commented on 2018-04-30 13:36

@TheKingofRavens thank you very much, now works.

TheKingofRavens commented on 2018-04-30 04:23

I found out how to solve this problem. Basically it expands incorrectly to all files in the directory. If you replace line 17 to read

cd "$srcdir/elementtree-${pkgver}-20050316"

it will work. This is because the * expansion used gets multiple results, causing cd to throw an error.

JohnRobson commented on 2017-09-09 05:03

==> Starting package()...
/var/cache/pacman/yaourt/yaourt-tmp-us/aur-python-elementtree/./PKGBUILD: line 17: cd: too many arguments
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build python-elementtree.

felixonmars commented on 2014-10-14 12:40

The package need to be renamed to python2-elementtree to follow the naming conversion.

Anonymous comment on 2010-12-09 14:20

fixed to python2

fwojciec commented on 2010-11-22 21:14

I no longer use this, and as I understand it the changes in python have made this more or less obsolete as a stand-alone package. I'm not going to maintain it anymore, so if anyone feels like adopting it go for it.

Anonymous comment on 2010-11-20 22:20

This package is written in python 2, but current pkgbuild installs it to python 3 paths, and it doesn't work